<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
<!-- qmlerror.cpp -->
  <title>List of All Members for QmlError | Extending Qt Creator Manual</title>
  <link rel="stylesheet" type="text/css" href="style/offline-simple.css" />
  <script type="text/javascript">
    document.getElementsByTagName("link").item(0).setAttribute("href", "style/offline.css");
    // loading style sheet breaks anchors that were jumped to before
    // so force jumping to anchor again
    setTimeout(function() {
        var anchor = location.hash;
        // need to jump to different anchor first (e.g. none)
        location.hash = "#";
        setTimeout(function() {
            location.hash = anchor;
        }, 0);
    }, 0);
  </script>
</head>
<body>
<div class="header" id="qtdocheader">
  <div class="main">
    <div class="main-rounded">
      <div class="navigationbar">
        <table><tr>
<td ><a href="extending-index.html">Extending Qt Creator Manual</a></td><td >QmlError</td></tr></table><table class="buildversion"><tr>
<td id="buildversion" width="100%" align="right"><a href="extending-index.html">Extending Qt Creator Manual 4.11.1</a></td>
        </tr></table>
      </div>
    </div>
<div class="content">
<div class="line">
<div class="content mainContent">
<div class="sidebar"><div class="sidebar-content" id="sidebar-content"></div></div>
<h1 class="title">List of All Members for QmlError</h1>
<p>This is the complete list of members for <a href="qmlerror.html">QmlError</a>, including inherited members.</p>
<div class="table"><table class="propsummary">
<tr><td class="topAlign"><ul>
<li class="fn"><span class="name"><b><a href="qmlerror.html#QmlError-1">QmlError</a></b></span>(const QmlError &amp;)</li>
<li class="fn"><span class="name"><b><a href="qmlerror.html#QmlError">QmlError</a></b></span>()</li>
<li class="fn"><span class="name"><b><a href="qmlerror.html#operator-eq">operator=</a></b></span>(const QmlError &amp;) : QmlError &amp;</li>
<li class="fn"><span class="name"><b><a href="qmlerror.html#column">column</a></b></span>() const : int</li>
<li class="fn"><span class="name"><b><a href="qmlerror.html#description">description</a></b></span>() const : QString</li>
<li class="fn"><span class="name"><b><a href="qmlerror.html#isValid">isValid</a></b></span>() const : bool</li>
<li class="fn"><span class="name"><b><a href="qmlerror.html#line">line</a></b></span>() const : int</li>
<li class="fn"><span class="name"><b><a href="qmlerror.html#messageType">messageType</a></b></span>() const : int</li>
</ul></td><td class="topAlign"><ul>
<li class="fn"><span class="name"><b><a href="qmlerror.html#object">object</a></b></span>() const : QObject *</li>
<li class="fn"><span class="name"><b><a href="qmlerror.html#setColumn">setColumn</a></b></span>(int )</li>
<li class="fn"><span class="name"><b><a href="qmlerror.html#setDescription">setDescription</a></b></span>(const QString &amp;)</li>
<li class="fn"><span class="name"><b><a href="qmlerror.html#setLine">setLine</a></b></span>(int )</li>
<li class="fn"><span class="name"><b><a href="qmlerror.html#setMessageType">setMessageType</a></b></span>(int )</li>
<li class="fn"><span class="name"><b><a href="qmlerror.html#setObject">setObject</a></b></span>(QObject *)</li>
<li class="fn"><span class="name"><b><a href="qmlerror.html#toString">toString</a></b></span>() const : QString</li>
<li class="fn"><span class="name"><b><a href="qmlerror.html#url">url</a></b></span>() const : int</li>
</ul>
</td></tr>
</table></div>
        </div>
       </div>
   </div>
   </div>
</div>
<div class="footer">
   <p>
   <acronym title="Copyright">&copy;</acronym> 2020 The Qt Company Ltd.
   Documentation contributions included herein are the copyrights of
   their respective owners.<br/>    The documentation provided herein is licensed under the terms of the    <a href="http://www.gnu.org/licenses/fdl.html">GNU Free Documentation    License version 1.3</a> as published by the Free Software Foundation.<br/>    Qt and respective logos are trademarks of The Qt Company Ltd.     in Finland and/or other countries worldwide. All other trademarks are property
   of their respective owners. </p>
</div>
</body>
</html>
